## org.eclipse.datatools.sqltools.debugger.core
Interface SQLDebuggerConfiguration

public interface SQLDebuggerConfiguration

Database plugins should implement this interface to provide database-specific features.

Author:
  Hui Cao

Method Summary
`SPThread` `getSPThread(SPDebugTarget target, DatabaseIdentifier databaseIdentifier, java.lang.String id, java.sql.Connection debuggeeCon)` Returns a `SPThread` used to debug stored procedures.

Method Detail

### getSPThread

    public SPThread getSPThread(SPDebugTarget target,
                                DatabaseIdentifier databaseIdentifier,
                                java.lang.String id,
                                java.sql.Connection debuggeeCon)

  Returns a `SPThread` used to debug stored procedures.

  Parameters:
    `target` - the debug target in which this thread is contained
    `databaseIdentifier` - on which database this thread is running
    `debuggeeCon` - the connection to be debugged
  Returns:

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.